timeManager = {
	
	////////////////////////////////////////////////////////////////////
	////////////// Public methods //////////////////////////////////////
	////////////////////////////////////////////////////////////////////
	
	millisecondsToPrettyDate : function(elapsedMS){
		var milliseconds = Math.round(elapsedMS % 1000);
		var seconds = Math.round((elapsedMS / 1000) % 60);
		var minutes = Math.round((elapsedMS / 60000) % 60);
		var hours = Math.round((elapsedMS / 3600000) % 24);
		var millisecondsStr = (milliseconds < 10 ? "00" : (milliseconds < 100 ? "0" : "")) + milliseconds;
		var secondsStr = (seconds < 10 ? "0" : "") + seconds;
		var minutesStr = (minutes < 10 ? "0" : "") + minutes;
		var hoursStr = (hours < 10 ? "0" : "") + hours;
		
		return {
			hours: hoursStr,
			minutes: minutesStr,
			seconds: secondsStr
		}
	}	
}

// Be sure object is present
timeManager = window.timeManager || {};	